> For the complete documentation index, see [llms.txt](https://guides.tability.io/api/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://guides.tability.io/api/tability-api/api-reference/checkins.md).

# Checkins

### `GET` all checkins for an outcome

## Get all checkins for a specific outcome

<mark style="color:blue;">`GET`</mark> `https://api.tability.app/v2/workspaces/:workspaceID/outcomes/:outcomeID/checkins`

#### Path Parameters

| Name                                           | Type   | Description                                |
| ---------------------------------------------- | ------ | ------------------------------------------ |
| :workspaceID<mark style="color:red;">\*</mark> | String | Unique ID of the workspace                 |
| :outcomeID<mark style="color:red;">\*</mark>   | String | Unique ID of the outcome (UUID or Nano ID) |

{% tabs %}
{% tab title="200: OK OK" %}

```json
[
    {
        "id": "dbdebd0f-9f97-4c3c-b3af-95a2c2885d8f",
        "workspace_id": "f709df85-fa72-43d4-b398-db159ec6f8da",
        "nano_slug": "YMVQNUc6SnKY",
        "outcome_id": "561a1404-ae77-40a3-86be-a255ed0b77f4",
        "checkin_date": "2023-11-16T00:00:00.000Z",
        "score": 84.0,
        "confidence": "red",
        "body": "We stopped the bleeding, but still haven't managed to find expansion opportunities. A lot of the accounts have said they might come back and buy higher subscriptions in Q1 and we're still missing a talk track on why they should pull the trigger now.",
        "created_at": "2023-11-23T11:27:38.219Z",
        "updated_at": "2023-11-23T11:27:38.219Z",
        "is_remote": false,
        "cached_reactions": "{}",
        "cached_views_count": 1,
        "membership": {
            "id": "b3748039-c7f1-4c20-8420-c370cd738750",
            "workspace_id": "f709df85-fa72-43d4-b398-db159ec6f8da",
            "user_id": "2cda3686-42a4-4f46-841f-9145e8ce3c14",
            "role": "user",
            "created_at": "2023-11-23T11:27:36.791Z",
            "updated_at": "2023-11-23T11:27:41.389Z",
            "cached_email": "julia_v4-onboarding-test@example.com",
            "cached_firstname": "Julia",
            "cached_lastname": "Bennett (sample)",
            "cached_avatar_url": "https://res.cloudinary.com/tability/image/upload/v1625719560/dummy_data/persona_julia_bennett_ua2hcs.png"
        }
    },
    {
        "id": "1625d733-4741-4082-a195-c630177de36e",
        "workspace_id": "f709df85-fa72-43d4-b398-db159ec6f8da",
        "nano_slug": "GbEj1vvJAo5f",
        "outcome_id": "561a1404-ae77-40a3-86be-a255ed0b77f4",
        "checkin_date": "2023-11-09T00:00:00.000Z",
        "score": 84.0,
        "confidence": "yellow",
        "body": "Things seem to have stabilized for the mid-sized accounts since we started doing more reach outs. The large accounts haven't had any change in sentiment or top-level metrics, either. So it looks like we've picked the right strategy. Now to just maintain and try to grow some MRR.",
        "created_at": "2023-11-23T11:27:38.174Z",
        "updated_at": "2023-11-23T11:27:38.174Z",
        "is_remote": false,
        "cached_reactions": "{}",
        "cached_views_count": 0,
        "membership": {
            "id": "b3748039-c7f1-4c20-8420-c370cd738750",
            "workspace_id": "f709df85-fa72-43d4-b398-db159ec6f8da",
            "user_id": "2cda3686-42a4-4f46-841f-9145e8ce3c14",
            "role": "user",
            "created_at": "2023-11-23T11:27:36.791Z",
            "updated_at": "2023-11-23T11:27:41.389Z",
            "cached_email": "julia_v4-onboarding-test@example.com",
            "cached_firstname": "Julia",
            "cached_lastname": "Bennett (sample)",
            "cached_avatar_url": "https://res.cloudinary.com/tability/image/upload/v1625719560/dummy_data/persona_julia_bennett_ua2hcs.png"
        }
    }
]
```

{% endtab %}
{% endtabs %}

### `GET` a specific checkin

## Get the details of a specific checkin

<mark style="color:blue;">`GET`</mark> `https://api.tability.dev:3001/v2/workspaces/:workspaceID/checkins/:checkinID`

#### Path Parameters

| Name                                           | Type   | Description                                |
| ---------------------------------------------- | ------ | ------------------------------------------ |
| :workspaceID<mark style="color:red;">\*</mark> | String | Unique ID of the workspace                 |
| :checkinID<mark style="color:red;">\*</mark>   | String | Unique ID of the checkin (UUID or Nano ID) |

{% tabs %}
{% tab title="200: OK OK" %}

```json
{
    "id": "fa5b500a-8acc-49ff-836c-5917a1ab41ee",
    "workspace_id": "f709df85-fa72-43d4-b398-db159ec6f8da",
    "nano_slug": "sRetCMC0nSMf",
    "outcome_id": "561a1404-ae77-40a3-86be-a255ed0b77f4",
    "checkin_date": "2023-11-02T00:00:00.000Z",
    "score": 80.0,
    "confidence": "yellow",
    "body": "Still seeing some churn amongst the mid-sized accounts. We're higher than we were last quarter for the same size accounts, and so far all of our large accounts are staying steady, but also don't seem to have many expansion opportunities. We're considering changing strategy and doing a blitz of connection with mid-size accounts",
    "created_at": "2023-11-23T11:27:38.044Z",
    "updated_at": "2023-11-23T11:27:38.044Z",
    "is_remote": false,
    "cached_reactions": "{}",
    "cached_views_count": 0,
    "membership": {
        "id": "b3748039-c7f1-4c20-8420-c370cd738750",
        "workspace_id": "f709df85-fa72-43d4-b398-db159ec6f8da",
        "user_id": "2cda3686-42a4-4f46-841f-9145e8ce3c14",
        "role": "user",
        "created_at": "2023-11-23T11:27:36.791Z",
        "updated_at": "2023-11-23T11:27:41.389Z",
        "cached_email": "julia_v4-onboarding-test@example.com",
        "cached_firstname": "Julia",
        "cached_lastname": "Bennett (sample)",
        "cached_avatar_url": "https://res.cloudinary.com/tability/image/upload/v1625719560/dummy_data/persona_julia_bennett_ua2hcs.png"
    }
}
```

{% endtab %}
{% endtabs %}

### `POST` a new checkin

## Create a new checkin for a specific outcome

<mark style="color:green;">`POST`</mark> `https://api.tability.app/v2/workspaces/:workspaceID/outcomes/:outcomeID`

#### Path Parameters

| Name                                           | Type   | Description                                |
| ---------------------------------------------- | ------ | ------------------------------------------ |
| :workspaceID<mark style="color:red;">\*</mark> | String | Unique ID of the workspace                 |
| :outcomeID<mark style="color:red;">\*</mark>   | String | Unique ID of the outcome (UUID or Nano ID) |

#### Request Body

| Name                                              | Type   | Description                                           |
| ------------------------------------------------- | ------ | ----------------------------------------------------- |
| checkin\[score]<mark style="color:red;">\*</mark> | Number | Current value of the checkin                          |
| checkin\[checkin\_date]                           | Date   | Checkin date                                          |
| checkin\[body]                                    | String | Checkin analysis text                                 |
| checkin\[confidence]                              | String | Confidence value of the checkin \[red\|yellow\|green] |

{% tabs %}
{% tab title="201: Created OK" %}

```json
{
    "id": "26288741-ab58-4714-85fb-c87fada1e64c",
    "workspace_id": "f709df85-fa72-43d4-b398-db159ec6f8da",
    "nano_slug": "paX6JmXexCAV",
    "outcome_id": "03b42e14-e081-4546-92d4-6d8bb3de1a50",
    "checkin_date": "2023-12-08T00:39:29.039Z",
    "score": 120000.0,
    "confidence": "red",
    "body": "",
    "created_at": "2023-12-08T00:39:29.075Z",
    "updated_at": "2023-12-08T00:39:29.075Z",
    "is_remote": false,
    "cached_reactions": "{}",
    "cached_views_count": 0,
    "membership": {
        "id": "fb201467-1da7-4964-9824-cbca10fefe04",
        "workspace_id": "f709df85-fa72-43d4-b398-db159ec6f8da",
        "user_id": "59f5655c-25b3-4e1a-bf97-2e99be39b870",
        "role": "owner",
        "created_at": "2023-06-28T23:23:45.276Z",
        "updated_at": "2023-12-07T01:59:26.301Z",
        "cached_email": "sten@tability.io",
        "cached_firstname": "Sten",
        "cached_lastname": "Pittet",
        "cached_avatar_url": "https://res.cloudinary.com/tability-dev/image/upload/c_thumb,g_face,w_250,z_0.75/v1657093202/2.0-dev/59f5655c-25b3-4e1a-bf97-2e99be39b870/303e9965-bde1-40eb-bd42-cbb048ca8c79.png"
    }
}
```

{% endtab %}
{% endtabs %}
